Subject: Re: bug#41532: Why use the mouse in Emacs?

From: Stefan Kangas <[email-masked]>
Date: Sun, 18 Oct 2020 01:29:09 +0000

tags 41532 + moreinfo
thanks

Kevin Vigouroux <[email-masked]> writes:

> The user experience is quite different when browsing the Emacs and
> LibreOffice menus although they seem similar. The Emacs interface is
> mainly text-based partly because there are few graphical widgets.
>
> Nonetheless, this difference is not always clearly perceived. It can be
> seen in the following two cases:
>
> 1. Menu bar> Tools, Merge, Files... opens a window manager window.
> 2. Menu bar> Tools, Search Files(Grep)... opens the minibuffer.
>
> Moreover, I think people may also confuse a text-based interface having
> a good appearance with a graphical user interface.
>
> The issue may be:
>
> - Better describe or explain how to use the mouse in the interface,
>
> - Fix the menu so as not to mislead the user,

What do you suggest, more concretely?  I've read the thread but I can't
find anything actionable.

> - Rebuild at least partially the Emacs graphical user interface.

This is a bit too vague to be actionable.  I suggest coming up with
concrete suggestions for what to do, and sending them as separate
feature requests.